##  for PCLinuxOS  ##

%define ver 5.0.23
%define rel 1

Name:    fcitx5
Summary: Fcitx5 - A Flexible Input Method Framework
Version: %{ver}
Release: %{rel}.nora23
License: LGPLv2+
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx5

Source0: http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
Source1: https://download.fcitx-im.org/data/en_dict-20121020.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: pkgconfig(xkbfile)
BuildRequires: enchant2-devel
BuildRequires: pkgconfig(iso-codes)
BuildRequires: %{_lib}json-devel
BuildRequires: %{_lib}xkbcommon-devel >= 0.5.0
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: desktop-file-utils
BuildRequires: uuid-devel
BuildRequires: intltool
BuildRequires: %{_lib}fmt-devel
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(wayland-egl)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: %{_lib}xcb-util-wm-devel
BuildRequires: %{_lib}xcb-util-keysyms-devel
BuildRequires: pkgconfig(xkeyboard-config)
BuildRequires: %{_lib}event-devel
#
BuildRequires: %{_lib}xcb-imdkit-devel
#BuildRequires: cldr-emoji-annotation-devel >= 37.0_13.0_0_2

Requires: dbus-x11
Requires: %{_lib}xcb-ewmh2
Requires: %{_lib}xcb-imdkit1
Requires: hicolor-icon-theme
#
#Requires: fcitx5-gtk2
#Requires: fcitx5-gtk3
#Requires: fcitx5-configtool
Requires: setime >= 4.3
#
Conflicts: fcitx, fcitx-data, fcitx-libs

%description
Fcitx5 is a generic input method framework.

# ------------------------------------------

%package devel
Summary: fcitx development library
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
This package provides development files for fcitx5.

# ------------------------------------------

%prep
%setup -q

cp %{SOURCE1} src/modules/spell/


%build
%cmake -DCMAKE_SKIP_RPATH=Off
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

desktop-file-install --delete-original --vendor="" \
 --add-category="X-MandrivaLinux-System-Configuration" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications \
 $RPM_BUILD_ROOT%{_datadir}/applications/fcitx5-configtool.desktop

desktop-file-install --delete-original --vendor="" \
 --set-key="NoDisplay" \
 --set-value="true" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications \
 $RPM_BUILD_ROOT%{_datadir}/applications/org.fcitx.Fcitx5.desktop

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/org.fcitx.Fcitx5.desktop

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README.md LICENSES/LGPL-2.1-or-later.txt LICENSES/Unicode-DFS-2016.txt
%{_bindir}/*
%{_libdir}/libFcitx5*.so.*.*
%{_libdir}/libFcitx5Config.so.6
%{_libdir}/libFcitx5Core.so.7
%{_libdir}/libFcitx5Utils.so.2
%{_libdir}/%{name}/*
/usr/libexec/fcitx5-wayland-launcher
%{_datadir}/%{name}/*
%{_datadir}/dbus-1/services/org.fcitx.Fcitx5.service
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/org.fcitx.Fcitx5.metainfo.xml
%{_iconsdir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/Fcitx5/
%{_libdir}/libFcitx5*.so
%{_libdir}/cmake/Fcitx5*
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Mar 20 2023 tomcat <> 5.0.23-1.nora23
- 5.0.23

* Sun Mar 12 2023 tomcat <> 5.0.22-1.nora23
- 5.0.22
- build with xcb-imdkit-1.0.5

* Fri Nov 25 2022 tomcat <> 5.0.21-1.nora22
- 5.0.21

* Wed Nov 23 2022 tomcat <> 5.0.20-1.nora22
- 5.0.20
- build with xcb-imdkit-1.0.4
- drop BR:cldr-emoji-annotation-devel
- update %%files

* Tue Aug 30 2022 tomcat <> 5.0.19-1.nora22
- 5.0.19
- change destination directory of Source1

* Fri Jul 08 2022 tomcat <> 5.0.18-1.nora22
- 5.0.18

* Thu Jun 02 2022 tomcat <> 5.0.17-1.nora22
- 5.0.17

* Tue May 24 2022 tomcat <> 5.0.16-1.nora22
- 5.0.16

* Sat Mar 12 2022 tomcat <> 5.0.15-1.nora22
- 5.0.15

* Tue Feb 08 2022 tomcat <> 5.0.14-1.nora22
- 5.0.14
- update %%files

* Thu Jan 13 2022 tomcat <> 5.0.13-1.nora22
- 5.0.13

* Sun Jan 02 2022 tomcat <> 5.0.12-1.nora22
- 5.0.12

* Mon Dec 06 2021 tomcat <> 5.0.11-1.nora21
- 5.0.11

* Tue Nov 09 2021 tomcat <> 5.0.10-1.nora21
- 5.0.10

* Mon Sep 27 2021 tomcat <> 5.0.9-1.nora21
- 5.0.9

* Fri May 07 2021 tomcat <> 5.0.8-1.nora21
- 5.0.8

* Tue Mar 23 2021 tomcat <> 5.0.7-1.nora21
- 5.0.7

* Sun Feb 28 2021 tomcat <> 5.0.5-2.nora21
- do not rename icons
- add 'Obsoletes:fcitx, fcitx-data, fcitx-libs'

* Sat Feb 20 2021 tomcat <> 5.0.5-1.nora21
- 5.0.5
- update desktop files

* Wed Jan 27 2021 tomcat <> 5.0.4-2.nora21
- update Recommends

* Tue Jan 12 2021 tomcat <> 5.0.4-1.nora21
- 5.0.4

* Tue Jan 05 2021 tomcat <> 5.0.3-1.nora21
- build for PCLinuxOS
